'use strict';

var swap = function(arr, indexA, indexB) {
  var temp = arr[indexA];
  arr[indexA] = arr[indexB];
  arr[indexB] = temp;
};

var bubbleSort = function(arr) {
  do {
    var swapped = false;
    for (var i = 0, len = arr.length; i < len; i++) {
      if (arr[i] > arr[i + 1]) {
        swap(arr, i, i + 1);
        swapped = true;
      }
    }
  } while (swapped)
};

module.exports = bubbleSort;
