'use strict';

var checkPermutate = function(str1, str2) {
  var letters = {},
      len = str1.length;

  if (typeof str1 !== 'string') {
    throw new Error('The first argument is not a string.');
  }
  if (typeof str2 !== 'string') {
    throw new Error('The second argument is not a string.');
  }
  if (str1.length !== str2.length) {
    return false;
  }

  for (var i = 0; i < len; i++) {
    letters[str1[i]] = letters[str1[i]] || 1;
  }

  for (var j = 0; j < len; j++) {
    letters[str2[j]] = letters[str2[j]] || -1;
    if (letters[str2[j]] < 0) {
      return false;
    }
  }

  return true;
};

module.exports = checkPermutate;
